=== debian/changelog ===
golang-github-cznic-b (0.0~git20151027.0.01b13d7-2) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.
  * Fix insecure-copyright-format-uri.
  * d/control: priority extra -> optional.
  * Set Testsuite: autopkgtest-pkg-go.

 -- Alexandre Viau <aviau@debian.org>  Sun, 22 Apr 2018 15:35:48 -0400

golang-github-cznic-b (0.0~git20151027.0.01b13d7-1) unstable; urgency=medium

  * Initial release (Closes: #816785).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 05 Mar 2016 20:19:48 +1100
