=== debian/control ===
Source: golang-github-cznic-b
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-cznic-fileutil-dev,
               golang-github-cznic-mathutil-dev,
               golang-github-cznic-strutil-dev
Standards-Version: 3.9.7
Homepage: https://github.com/cznic/b
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cznic-b
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cznic-b.git
XS-Go-Import-Path: github.com/cznic/b
Testsuite: autopkgtest-pkg-go

Package: golang-github-cznic-b-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-cznic-fileutil-dev,
         golang-github-cznic-mathutil-dev,
         golang-github-cznic-strutil-dev
Description: B+tree implementation
 B+tree implementation in Golang.
